# FAQ

### **What can I build with BENQI?**

Answer

### **How could I get started building?**

Answer

### **How can I find the sAVAX to AVAX exchange rate?**&#x20;

To check the exchange rate for sAVAX to AVAX, click the following link: [sAVAX to AVAX Rate](https://snowtrace.dev/address/0x2b2C81e08f1Af8835a78Bb2A90AE924ACE0eA4bE#readProxyContract-43114)

This can be read from the contract using **Function 14:** `sAVAX to AVAX`**or Function 18:** `AVAX to sAVAX`

### I**s there a contract call for burning sAVAX after users have redeemed it?**

Burning sAVAX is automated and only occurs when redeeming AVAX. Users cannot burn sAVAX directly. The redemption process triggers the burn within the smart contract.

### H**ow do I get the exchange rate history of sAVAX/AVAX?**

No one can burn on their own. The only way to burn is by redeeming AVAX and that is automated on the smart contract.

### H**ow do you create a liquidator bot?**

You can refer to the Google Compound V2 liquidation guide for help in setting up a liquidator bot. This should direct you to [their Docs.](https://docs.compound.finance/v2/comptroller/)

### D**o you have an API to fetch data, or do you have any plans to create one?**

BENQI does not have an API for data fetching.&#x20;

Historical data is pulled from the subgraph, while real-time data is pulled directly from the smart contracts.

### Is **there a subgraph to fetch open positions on BENQI's lending market?**

Yes, you can use the following subgraph to fetch open positions and other data: [BENQI Subgraph](https://api.thegraph.com/subgraphs/name/benqi-fi/benqi21)

### H**ow did BENQI implement Proof of Reserves and Keepers?**

Keepers monitor the system by calling `checkUpkeep`, and if a need for action is detected, they call `performUpkeep`.&#x20;

The implementation can be viewed here:\
[Proof of Reserves and Keeper Implementation](https://snowtrace.io/address/0xaad2d03809430eaf2ec17bc6f4d2260e6e409cb7/contract/43114/code)

### W**hat about the Chainlink price feed for sAVAX in USD on Avalanche?**

That can be found here: [Chainlink Price Feed (sAVAX/USD)](https://snowtrace.dev/address/0x2854Ca10a54800e15A2a25cFa52567166434Ff0a)\
\
It can be read using **Function 8:** `sAVAX to AVAX`


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.benqi.fi/developers/faq.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
